WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Classes | Typedefs
Auto-sanitize Memory Management

## Classes
class | winstd::sanitizing_allocator< _Ty >
| An allocator template that sanitizes each memory block before it is destroyed or reallocated. More...
class | winstd::sanitizing_blob< N >
| Sanitizing BLOB. More...

## Typedefs
typedef std::basic_string< char, std::char_traits< char >, sanitizing_allocator< char > > | winstd::sanitizing_string
| A sanitizing variant of std::string.
typedef std::basic_string< wchar_t, std::char_traits< wchar_t >, sanitizing_allocator< wchar_t > > | winstd::sanitizing_wstring
| A sanitizing variant of std::wstring.
typedef sanitizing_string | winstd::sanitizing_tstring
| Multi-byte / Wide-character sanitizing string (according to _UNICODE)

## Detailed Description

## Typedef Documentation

## ◆ sanitizing_string

typedef std::basic_string<char, std::char_traits<char>, sanitizing_allocator<char> > winstd::sanitizing_string

A sanitizing variant of std::string.

Note
  `sanitizing_string` introduces a performance penalty. However, it provides an additional level of security. Use for security sensitive data memory storage only.

## ◆ sanitizing_wstring

typedef std::basic_string<wchar_t, std::char_traits<wchar_t>, sanitizing_allocator<wchar_t> > winstd::sanitizing_wstring

A sanitizing variant of std::wstring.

Note
  `sanitizing_wstring` introduces a performance penalty. However, it provides an additional level of security. Use for security sensitive data memory storage only.